### A free/open-source library for quantitative finance

Classes
ql/pricingengines/vanilla/baroneadesiwhaleyengine.hpp File Reference

Barone-Adesi and Whaley approximation engine. More...

`#include <ql/instruments/vanillaoption.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
Include dependency graph for baroneadesiwhaleyengine.hpp:

## Classes

class | BaroneAdesiWhaleyApproximationEngine
| Barone-Adesi and Whaley pricing engine for American options (1987) More...

## Detailed Description

Barone-Adesi and Whaley approximation engine.